com.parse

## Interface ConfigCallback

    public interface ConfigCallback

A `ConfigCallback` is used to run code after `ParseConfig.getInBackground()` is used to fetch a new configuration object from the server in a background thread.

The easiest way to use a `ConfigCallback` is through an anonymous inner class. Override the `done` function to specify what the callback should do after the fetch is complete. The `done` function will be run in the UI thread, while the fetch happens in a background thread. This ensures that the UI does not freeze while the fetch happens.

     ParseConfig.getInBackground(new ConfigCallback() {
       public void done(ParseConfig config, ParseException e) {
         if (e == null) {
           configFetchSuccess(object);
         } else {
           configFetchFailed(e);
         }
       }
     });

### Method Summary

Methods
`void` `done(ParseConfig config, ParseException e)` Override this function with the code you want to run after the fetch is complete.

### Method Detail

#### done

    void done(ParseConfig config,
            ParseException e)

Override this function with the code you want to run after the fetch is complete.

Parameters:
  `config` - A new `ParseConfig` instance from the server, or `null` if it did not succeed.
  `e` - The exception raised by the fetch, or `null` if it succeeded.